#!/usr/bin/env python2
# -*- coding: utf-8 -*-
"""
Created on Sun Jul  9 14:38:58 2017

@author: Oana
@email: oana.dumitru@nyu.edu
"""

import glob
import xlwt
# CHANGE DIRECTORY TO YOUR OWN
path = '/Users/Oana/Desktop/IBI Series Materials/Resample'
filenames = glob.glob(path + '/*.txt')

book = xlwt.Workbook(encoding="utf-8")
sheet1 = book.add_sheet("Sheet 1")

sheet1.write(0, 0, "ID")

x = 1
for i in range(1,37):
        for k in range(1,8):
            name = 'seg' + str(i) + "_" + str(k)
            sheet1.write(0, x, name)
            x += 1
            

for filename in filenames:
    
    
    series = open(filename, 'r')
    alldata = series.read()
    
    # split the string into a list 
    # split on the linebreak 
    new_data = alldata.split("\n")
    while '' in new_data:
        new_data.remove('')
    try:   
        del new_data[0]
        del new_data[len(new_data) - 1]
    except: 
        print("This document contains an empty list, nothing will be done to it")
 
    # CHANGE THIS TO YOUR DIRECTORY AND MAKE SURE TO KEEP THE "/"
    a = filename.split('/Users/Oana/Desktop/IBI Series Materials/Resample/')
    id = a[1][:3]
        
    # turn it into an integer    
    id_number = int(id)
    row = id_number - 200
    try:
        sheet1.write(row, 0, id)
    except:
        print("No need to write ID again")
    
    segment = int(filename[-6:-4])
    for i in range(1,37):
        if segment == i:
            start_col = 1 + (i-1) * 7
            
    x = 0 
    for i in range(start_col, start_col + 7):
        try:
            sheet1.write(row, i, new_data[x])
            x += 1
        except: 
            sheet1.write(row, i, 0)
            x += 1

book.save("Final TASK PGA Data.xls")
    


    

    
    
